int taktPin = 8;      // SH_CP 
int speicherPin = 9;  // ST_CP
int datenPin = 10;    // DS

// Reset aller Pins -> LOW-Pegel
void resetPins() {
  digitalWrite(taktPin, LOW);
  digitalWrite(speicherPin, LOW);
  digitalWrite(datenPin, LOW);
}

void setup() {
  pinMode(taktPin, OUTPUT);
  pinMode(speicherPin, OUTPUT);
  pinMode(datenPin, OUTPUT);
  resetPins(); // Alle Pins auf LOW setzen
  // DS für die spätere Übernahme durch SH_CP auf HIGH setzten
  digitalWrite(datenPin, HIGH); // DS
  delay(20); // Kurze Pause für die Verarbeitung
  // Übertragen des Pegels an DS in interne Speicherregister
  digitalWrite(taktPin, HIGH); // SH_CP
  delay(20); // Kurze Pause für die Verarbeitung
  // Übertragen der internen Speicherregister an die Ausgänge
  digitalWrite(speicherPin, HIGH); // ST_CP
  delay(20);
}

void loop(){/* leer */}



