#include "MyAnalogKeyPad.h"
#define analogPin 0 // Definition des analogen Pins
#define MIN 10      // Untergrenze für Zufallszahl
#define MAX 1000    // Obergrenze für Zufallszahl
MyAnalogKeyPad myOwnKeyPad(analogPin); // Instanziierung eines Objektes
int arduinoZahl, versuche; // Generierte Zufall, Anzahl der Versuche
char deineZahl[5];         // Max. 5-stellige Zahl
byte stelle;               // Markiert die gerade eingegebene Stelle

int zufallszahl(int minimum, int maximum){
  randomSeed(analogRead(5));
  return random(minimum, maximum + 1);
}

void setup(){
  Serial.begin(9600);                  // Serielle Ausgabe vorbereiten
  myOwnKeyPad.setDebounceTime(500);    // Prellzeit auf 500ms setzen
  arduinoZahl = zufallszahl(MIN, MAX); // Zu erratende Zahl generieren
  Serial.println(arduinoZahl);
  Serial.println("Ich habe mir eine Zahl zwischen " +
  String(MIN) + " und " + String(MAX) + " ausgedacht...");
  Serial.print(">>");
}

void loop(){
  char myKey = myOwnKeyPad.readKey(); // Abfragen des gedrückten Tasters
  if(myKey != KEY_NOT_PRESSED){       // Abfrage, ob irgendein Taster gedrückt
    deineZahl[stelle] = myKey;
    stelle++;
    Serial.print(myKey);
  }
}

/*
void loop(){
  char myKey = myOwnKeyPad.readKey(); // Abfragen des gedrückten Tasters
  if(myKey != KEY_NOT_PRESSED){       // Abfrage, ob irgendein Taster gedrückt
    deineZahl[stelle] = myKey;
    stelle++;
    Serial.print(myKey);
  }
  if(stelle == int(log10(MAX))+1){
    versuche++;
    int a = atoi(deineZahl);
    if(a == arduinoZahl){
      Serial.println("\nJaaa!");
      Serial.println("\nDu hast " + String(versuche) + " Versuch(e) benoetigt.");
      versuche = 0;
      arduinoZahl = zufallszahl(MIN, MAX);
      Serial.println("\nIch habe mir eine neue Zahl ausgedacht... ");
    }
    else if(a < arduinoZahl)
      Serial.println("\nZu klein");
    else
      Serial.println("\nZu gross");
    Serial.print(">>");
    stelle = 0; // Zurücksetzen der Stelle
  }
}

int zufallszahl(int minimum, int maximum){
  randomSeed(analogRead(5));
  return random(minimum, maximum + 1);
}
*/
