/*
Author:        Erik Bartmann
Website:       http://www.erik-bartmann.de
Blog:          http://www.tumblr.com/tumblelog/arduino-processing
Twitter:       https://twitter.com/#!/ErikBartmann
Flickr:        http://www.flickr.com/photos/erikbartmann/6317430221
Scope:         Eine alphanumerische Anzeige
Version:       1.0
Date:          03.10.2011
Last modified:
Description:   Dieser Sketch zeigt Dir die Ansteuerung eines LC-Displays.
*/
#include <LiquidCrystal.h>
#define RS 12   // Register Select
#define E 11    // Enable
#define D4 5    // Datenleitung 4
#define D5 4    // Datenleitung 5
#define D6 3    // Datenleitung 6
#define D7 2    // Datenleitung 7
#define COLS 16 // Anzahl der Spalten
#define ROWS 2  // Anzahl der Zeilen
LiquidCrystal lcd(RS, E, D4, D5, D6, D7); // Objekt instanziieren

void setup(){
  lcd.begin(COLS, ROWS);         // Anzahl der Spalten und Zeilen
  lcd.print("Mich steuert ein"); // Ausgabe des Textes
  lcd.setCursor(0, 1);           // In die 2. Zeile wechseln
  lcd.print("Arduino an:-)");    // Ausgabe des Textes
}

void loop(){/* leer */}
