/*
Author:        Erik Bartmann
Website:       http://www.erik-bartmann.de
Blog:          http://www.tumblr.com/tumblelog/arduino-processing
Twitter:       https://twitter.com/#!/ErikBartmann
Flickr:        http://www.flickr.com/photos/erikbartmann/6317430221
Scope:         Eine alphanumerische Anzeige
Version:       1.0
Date:          03.10.2011
Last modified:
Description:   Dieser Sketch zeigt Dir die Ansteuerung eines LC-Displays.
*/
#include <LiquidCrystal.h>
#define RS 12   // Register Select
#define E 11    // Enable
#define D4 5    // Datenleitung 4
#define D5 4    // Datenleitung 5
#define D6 3    // Datenleitung 6
#define D7 2    // Datenleitung 7
#define COLS 16 // Anzahl der Spalten
#define ROWS 2  // Anzahl der Zeilen
LiquidCrystal lcd(RS, E, D4, D5, D6, D7); // Objekt instanziieren

byte customChar0[8] = {
  0b00000,
  0b11011,
  0b11011,
  0b00000,
  0b00100,
  0b10001,
  0b01110,
  0b00000
};

byte customChar1[8] = {
  0b00000,
  0b11011,
  0b11011,
  0b00000,
  0b00100,
  0b00000,
  0b01110,
  0b10001
};
void setup() {
  lcd.createChar(0, customChar0);
  lcd.createChar(1, customChar1);
  lcd.begin(COLS, ROWS);
  lcd.write((byte)0);
  lcd.write((byte)1);
}

void loop() { /* leer */ }
