int taktPin = 8;      // SH_CP 
int speicherPin = 9;  // ST_CP
int datenPin = 10;    // DS
int datenArray[] = {1, 0, 1, 0, 1, 1, 0, 1};

void resetPins(){
  digitalWrite(taktPin, LOW);
  digitalWrite(speicherPin, LOW);
  digitalWrite(datenPin, LOW);
}

void setzePins(int daten[]){
  for(int i = 0; i < 8; i++){
    resetPins();
    digitalWrite(datenPin, daten[i]); delay(20);
    digitalWrite(taktPin, HIGH); delay(20);
  }  
}

void setup(){
  pinMode(taktPin, OUTPUT);
  pinMode(speicherPin, OUTPUT);
  pinMode(datenPin, OUTPUT);
  resetPins();           // Alle Pins auf LOW setzten
  setzePins(datenArray); // Setze Pins über das Daten-Array
  // Übertragen der internen Speicherregister an die Ausgänge
  digitalWrite(speicherPin, HIGH); // ST_CP 
}

void loop(){ /* leer */ }



