#include <Stepper.h>
#define SCHWARZ 2
#define GRUEN   3
#define ROT     4
#define BLAU    5
#define SPEED   100 // 100rpm
const int stepsPerRevolution = 200; // Schritte prom Umdrehung

Stepper myStepper(stepsPerRevolution, BLAU, ROT, GRUEN, SCHWARZ);

void setup() {
  myStepper.setSpeed(SPEED); // Geschwindigkeit setzen
}

void loop() {
  myStepper.step(stepsPerRevolution);
  delay(500); // Kurze Pause
  myStepper.step(-stepsPerRevolution);
  delay(500);
}

