import processing.serial.*;
String portStream;
Serial meinSeriellerPort;
Scrollbar myScrollbar0, myScrollbar1, myScrollbar2, myScrollbar3, 
myScrollbar4, myScrollbar5;
void setup() {
  size(400, 400);
  println(Serial.list());
  meinSeriellerPort = new Serial(this, Serial.list()[1], 38400); // ggf. anpassen!
  meinSeriellerPort.bufferUntil('\n');
  background(0);
  myScrollbar0 = new Scrollbar("Analog Pin 0:", 20, 20, 350, 35, 
  color(89, 7, 243 ));
  myScrollbar1 = new Scrollbar("Analog Pin 1:", 20, 80, 350, 35, 
  color(120, 207, 120));
  myScrollbar2 = new Scrollbar("Analog Pin 2:", 20, 140, 350, 35, 
  color(40, 50, 120));
  myScrollbar3 = new Scrollbar("Analog Pin 3:", 20, 200, 350, 35, 
  color(120, 120, 120));
  myScrollbar4 = new Scrollbar("Analog Pin 4:", 20, 260, 350, 35, 
  color(80, 207, 20));
  myScrollbar5 = new Scrollbar("Analog Pin 5:", 20, 320, 350, 35, 
  color(120, 90, 90));
}
void draw () {
  char dataType;
  int pin, value;
  if (portStream != null) {
    if (portStream.length() == 11 && // Stimmt die Länge von 11 Zeichen?
    portStream.charAt(0)== 'S' && // Ist die Start-Kennung vorhanden?
    portStream.charAt(8)== 'E') { // Ist die Ende-Kennung vorhanden?
      dataType = portStream.charAt(1); // Datentyp extrahieren
      pin = int(portStream.substring(2, 4)); // Pin-Nummer extrahieren
      value = int(portStream.substring(4, 8)); // Pin-Wert extrahieren
      if (dataType == 'A') { // Ist der Datentyp Analog?
        if (pin == 0) // Analog Pin 0
            myScrollbar0.drawScrollbar(value);
        if (pin == 1) // Analog Pin 1
            myScrollbar1.drawScrollbar(value);
        if (pin == 2) // Analog Pin 2
            myScrollbar2.drawScrollbar(value);
        if (pin == 3) // Analog Pin 3
            myScrollbar3.drawScrollbar(value);
        if (pin == 4) // Analog Pin 4
            myScrollbar4.drawScrollbar(value);
        if (pin == 5) // Analog Pin 5
            myScrollbar5.drawScrollbar(value);
      }
    }
  }
}
void serialEvent(Serial meinSeriellerPort) {
  portStream = meinSeriellerPort.readString();
}

