#define ledPin 13           // Led-Pin
int timer1Counter;          // Timer-Variable für Preload

void setup() {
  pinMode(ledPin, OUTPUT);  // Led-Pin als Ausgang
  noInterrupts();           // Alle Interrupts deaktivieren
  TCCR1A = 0;               // Bits von TCCR1A löschen
  TCCR1B = 0;               // Bits TCCR1B löschen
  timer1Counter = 0;        // Timer-Counter auf 0 setzen
  TCNT1 = timer1Counter;    // Preload des timer1
  TCCR1B |= (1 << CS10);    // Prescaler: 1
  TIMSK1 |= (1 << TOIE1);   // enable timer overflow interrupt
  interrupts();             // Alle Interrupts aktivieren
}

ISR(TIMER1_OVF_vect) {
  TCNT1 = timer1Counter;    // Preload des timer1
  digitalWrite(ledPin, digitalRead(ledPin) ^ 1);
}

void loop() { /* leer */ }

